For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
13.5kProductPricingSign inStart free trialBook a demo
DocsAPIsSDKsEnterprise EdgeGuidesAcademyRelease notes
DocsAPIsSDKsEnterprise EdgeGuidesAcademyRelease notes
    • API overview
  • Client API
  • Frontend API
  • Admin API
      • GETGet all environments
      • POSTCreates a new environment
      • POSTValidates if an environment name exists
      • PUTUpdates an environment by name
      • GETGet the environment with `name`
      • DELDeletes an environment by name
      • POSTClones an environment
      • GETGet the environments available to a project
      • PUTUpdate environment sort orders
      • POSTToggle the environment with `name` on
      • POSTToggle the environment with `name` off

Unleash reduces the risk of releasing new features, drives innovation by streamlining the software release process, and increases revenue by optimizing end-user experience. While we serve the needs of the world's largest, most security-conscious organizations, we are also rated the “Easiest Feature Management system to use” by G2.

GitHubGitHubLinkedInLinkedInX (Twitter)X (Twitter)SlackSlackStack OverflowStack OverflowYouTubeYouTube

Server SDKs

  • Node.js
  • Java
  • Go
  • Rust
  • Ruby
  • Python
  • .NET
  • PHP
  • All SDKs

Frontend SDKs

  • JavaScript
  • React
  • Next.js
  • Vue
  • iOS
  • Android
  • Flutter

Feature Flag use cases

  • Secure, scalable feature flags
  • Rollbacks
  • FedRAMP, SOC2, ISO2700 compliance
  • Progressive or gradual rollouts
  • Trunk-based development
  • Software kill switches
  • A/B testing
  • Feature management
  • Canary releases

Product

  • Quickstart
  • Unleash architecture
  • Pricing
  • Product vision
  • Open live demo
  • Open source
  • Enterprise feature management platform
  • Unleash vs LaunchDarkly

Support

  • Help center
  • Status
  • Changelog
Made in a cosy atmosphere in the Nordic countries.Copyright © 2026 Unleash
LogoLogo
13.5kProductPricingSign inStart free trialBook a demo
Admin APIEnvironments

Validates if an environment name exists

||View as Markdown|
POST
https://app.unleash-instance.example.com/api/admin/environments/validate
POST
/api/admin/environments/validate
$curl -X POST https://app.unleash-instance.example.com/api/admin/environments/validate \
> -H "Authorization: <apiKey>" \
> -H "Content-Type: application/json" \
> -d '{
> "name": "betaUser"
>}'
1{}

Enterprise feature

Uses the name provided in the body of the request to validate if the given name exists or not

Was this page helpful?
Previous

Updates an environment by name

Next
Built with

Authentication

Authorizationstring
API key needed to access this API
OR
AuthorizationBearer
API key needed to access this API, in Bearer token format

Request

nameSchema
namestringRequired
The name of the represented object.

Response

This response has no body.

Errors

400
Bad Request Error
401
Unauthorized Error